Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations

# Annotation Type PathItem

@Target({}) @Retention(RUNTIME) public @interface PathItem
Describes a set of operations available on a single path.

Since:
  4.0

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
The name of the Path Item object, used as the map key when the path item is used under `Components.pathItems()` or `OpenAPIDefinition.webhooks()`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`description`
The description of the path item.
`Extension[]`
`extensions`
List of extensions to be added to the `PathItem` model corresponding to the containing annotation.
`PathItemOperation[]`
`operations`
The operations available under this Path Item.
`Parameter[]`
`parameters`
A list of parameters which apply to all operations under this path item.
`String`
`ref`
Reference value to a PathItem object.
`Server[]`
`servers`
A list of servers to be used for this Path Item, overriding those defined for the whole API.
`String`
`summary`
The summary of the path item.

## Element Details

### name

String name
The name of the Path Item object, used as the map key when the path item is used under `Components.pathItems()` or `OpenAPIDefinition.webhooks()`

Returns:
  the path item name

### ref

String ref
Reference value to a PathItem object.

This property provides a reference to an object defined elsewhere.

Unlike `ref` on most MP OpenAPI annotations, this property is not mutually exclusive with other properties.

Returns:
  reference to a path item object definition

Default:
  ""

### summary

String summary
The summary of the path item.

Returns:
  the summary

Default:
  ""

### description

String description
The description of the path item.

Returns:
  the description

Default:
  ""

### operations

PathItemOperation[] operations
The operations available under this Path Item.

The `method` MUST be defined for each operation.

Returns:
  the list of operations

Default:
  {}

### servers

Server[] servers
A list of servers to be used for this Path Item, overriding those defined for the whole API.

Returns:
  the list of servers

Default:
  {}

### parameters

Parameter[] parameters
A list of parameters which apply to all operations under this path item.

Returns:
  the list of parameters

Default:
  {}

### extensions

Extension[] extensions
List of extensions to be added to the `PathItem` model corresponding to the containing annotation.

Returns:
  the list of extensions

Default:
  {}